program project1;
var a,b,c,r1,r2,r3,r4,r5,r6,ms:string;
  x,y,z:int64;
begin
 readln(x,y,z);
 str(x,a);
 str(y,b);
 str(z,c);
 r1:=a+b+c;
 r2:=a+c+b;
 r3:=b+a+c;
 r4:=b+c+a;
 r5:=c+a+b;
 r6:=c+b+a;
 ms:=r1;
 if r2>ms then ms:=r2;
 if r3>ms then ms:=r3;
 if r4>ms then ms:=r4;
 if r5>ms then ms:=r5;
 if r6>ms then ms:=r6;
 writeln(ms);
end.